import request from '@/utils/request'

// 查询学习中心文件列表
export function listStudyCenterFile(query) {
  return request({
    url: '/hezhi/studyCenterFile/list',
    method: 'get',
    params: query
  })
}

// 查询学习中心文件详细
export function getStudyCenterFile(studyCenterFileId) {
  return request({
    url: '/hezhi/studyCenterFile/' + studyCenterFileId,
    method: 'get'
  })
}

// 新增学习中心文件
export function addStudyCenterFile(data) {
  return request({
    url: '/hezhi/studyCenterFile',
    method: 'post',
    data: data
  })
}

// 修改学习中心文件
export function updateStudyCenterFile(data) {
  return request({
    url: '/hezhi/studyCenterFile',
    method: 'put',
    data: data
  })
}

// 删除学习中心文件
export function delStudyCenterFile(studyCenterFileId) {
  return request({
    url: '/hezhi/studyCenterFile/' + studyCenterFileId,
    method: 'delete'
  })
}
